Create a payment session
curl --request POST \
--url https://api.dexxify.com/api/v1/api/v1/payment-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 50000,
"currency": "NGN",
"title": "Payment for Order #1234",
"description": "Complete your order payment",
"customer_email": "hansen@gmail.com",
"first_name": "Billy",
"last_name": "James",
"expires_in_minutes": 30,
"success_url": "<string>",
"cancel_url": "<string>",
"metadata": {
"order_id": "ord_xyz"
}
}
'import requests
url = "https://api.dexxify.com/api/v1/api/v1/payment-sessions"
payload = {
"amount": 50000,
"currency": "NGN",
"title": "Payment for Order #1234",
"description": "Complete your order payment",
"customer_email": "hansen@gmail.com",
"first_name": "Billy",
"last_name": "James",
"expires_in_minutes": 30,
"success_url": "<string>",
"cancel_url": "<string>",
"metadata": { "order_id": "ord_xyz" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 50000,
currency: 'NGN',
title: 'Payment for Order #1234',
description: 'Complete your order payment',
customer_email: 'hansen@gmail.com',
first_name: 'Billy',
last_name: 'James',
expires_in_minutes: 30,
success_url: '<string>',
cancel_url: '<string>',
metadata: {order_id: 'ord_xyz'}
})
};
fetch('https://api.dexxify.com/api/v1/api/v1/payment-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexxify.com/api/v1/api/v1/payment-sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 50000,
'currency' => 'NGN',
'title' => 'Payment for Order #1234',
'description' => 'Complete your order payment',
'customer_email' => 'hansen@gmail.com',
'first_name' => 'Billy',
'last_name' => 'James',
'expires_in_minutes' => 30,
'success_url' => '<string>',
'cancel_url' => '<string>',
'metadata' => [
'order_id' => 'ord_xyz'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dexxify.com/api/v1/api/v1/payment-sessions"
payload := strings.NewReader("{\n \"amount\": 50000,\n \"currency\": \"NGN\",\n \"title\": \"Payment for Order #1234\",\n \"description\": \"Complete your order payment\",\n \"customer_email\": \"hansen@gmail.com\",\n \"first_name\": \"Billy\",\n \"last_name\": \"James\",\n \"expires_in_minutes\": 30,\n \"success_url\": \"<string>\",\n \"cancel_url\": \"<string>\",\n \"metadata\": {\n \"order_id\": \"ord_xyz\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dexxify.com/api/v1/api/v1/payment-sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 50000,\n \"currency\": \"NGN\",\n \"title\": \"Payment for Order #1234\",\n \"description\": \"Complete your order payment\",\n \"customer_email\": \"hansen@gmail.com\",\n \"first_name\": \"Billy\",\n \"last_name\": \"James\",\n \"expires_in_minutes\": 30,\n \"success_url\": \"<string>\",\n \"cancel_url\": \"<string>\",\n \"metadata\": {\n \"order_id\": \"ord_xyz\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dexxify.com/api/v1/api/v1/payment-sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 50000,\n \"currency\": \"NGN\",\n \"title\": \"Payment for Order #1234\",\n \"description\": \"Complete your order payment\",\n \"customer_email\": \"hansen@gmail.com\",\n \"first_name\": \"Billy\",\n \"last_name\": \"James\",\n \"expires_in_minutes\": 30,\n \"success_url\": \"<string>\",\n \"cancel_url\": \"<string>\",\n \"metadata\": {\n \"order_id\": \"ord_xyz\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c1e6a2a-2b3c-4d5e-8f9a-1a2b3c4d5e6f",
"business_id": "8e2f6b2a-df9c-4c2a-9a0a-9e6a2a2b6a11",
"mode": "test",
"customer_id": "9b1c2d3e-4f5a-6b7c-8d9e-0f1a2b3c4d5e",
"reference": "ps_4f2a9c1e",
"amount": 50000,
"amount_paid": null,
"currency": "NGN",
"deposit_address": null,
"crypto_asset": null,
"network": null,
"status": "pending",
"payment_page_id": null,
"invoice_id": null,
"transaction_id": null,
"provider_session_reference": "cc_ps_7f3a1b2c",
"metadata": {
"order_id": "ord_xyz"
},
"expires_at": "2026-09-24T13:00:00.000Z",
"completed_at": null,
"created_at": "2026-09-24T12:00:00.000Z",
"updated_at": "2026-09-24T12:00:00.000Z"
}{
"success": false,
"status": 400,
"message": "amount must be a positive number",
"timestamp": "2026-09-17T12:00:00.000Z"
}{
"success": false,
"status": 401,
"message": "Invalid or inactive API key.",
"timestamp": "2026-09-17T12:00:00.000Z"
}Payment Sessions
Create a payment session
Initialise a payment session for onramp, offramp, or payout. Returns a reference the customer can use to complete payment.
POST
/
api
/
v1
/
payment-sessions
Create a payment session
curl --request POST \
--url https://api.dexxify.com/api/v1/api/v1/payment-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 50000,
"currency": "NGN",
"title": "Payment for Order #1234",
"description": "Complete your order payment",
"customer_email": "hansen@gmail.com",
"first_name": "Billy",
"last_name": "James",
"expires_in_minutes": 30,
"success_url": "<string>",
"cancel_url": "<string>",
"metadata": {
"order_id": "ord_xyz"
}
}
'import requests
url = "https://api.dexxify.com/api/v1/api/v1/payment-sessions"
payload = {
"amount": 50000,
"currency": "NGN",
"title": "Payment for Order #1234",
"description": "Complete your order payment",
"customer_email": "hansen@gmail.com",
"first_name": "Billy",
"last_name": "James",
"expires_in_minutes": 30,
"success_url": "<string>",
"cancel_url": "<string>",
"metadata": { "order_id": "ord_xyz" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 50000,
currency: 'NGN',
title: 'Payment for Order #1234',
description: 'Complete your order payment',
customer_email: 'hansen@gmail.com',
first_name: 'Billy',
last_name: 'James',
expires_in_minutes: 30,
success_url: '<string>',
cancel_url: '<string>',
metadata: {order_id: 'ord_xyz'}
})
};
fetch('https://api.dexxify.com/api/v1/api/v1/payment-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexxify.com/api/v1/api/v1/payment-sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 50000,
'currency' => 'NGN',
'title' => 'Payment for Order #1234',
'description' => 'Complete your order payment',
'customer_email' => 'hansen@gmail.com',
'first_name' => 'Billy',
'last_name' => 'James',
'expires_in_minutes' => 30,
'success_url' => '<string>',
'cancel_url' => '<string>',
'metadata' => [
'order_id' => 'ord_xyz'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dexxify.com/api/v1/api/v1/payment-sessions"
payload := strings.NewReader("{\n \"amount\": 50000,\n \"currency\": \"NGN\",\n \"title\": \"Payment for Order #1234\",\n \"description\": \"Complete your order payment\",\n \"customer_email\": \"hansen@gmail.com\",\n \"first_name\": \"Billy\",\n \"last_name\": \"James\",\n \"expires_in_minutes\": 30,\n \"success_url\": \"<string>\",\n \"cancel_url\": \"<string>\",\n \"metadata\": {\n \"order_id\": \"ord_xyz\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dexxify.com/api/v1/api/v1/payment-sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 50000,\n \"currency\": \"NGN\",\n \"title\": \"Payment for Order #1234\",\n \"description\": \"Complete your order payment\",\n \"customer_email\": \"hansen@gmail.com\",\n \"first_name\": \"Billy\",\n \"last_name\": \"James\",\n \"expires_in_minutes\": 30,\n \"success_url\": \"<string>\",\n \"cancel_url\": \"<string>\",\n \"metadata\": {\n \"order_id\": \"ord_xyz\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dexxify.com/api/v1/api/v1/payment-sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 50000,\n \"currency\": \"NGN\",\n \"title\": \"Payment for Order #1234\",\n \"description\": \"Complete your order payment\",\n \"customer_email\": \"hansen@gmail.com\",\n \"first_name\": \"Billy\",\n \"last_name\": \"James\",\n \"expires_in_minutes\": 30,\n \"success_url\": \"<string>\",\n \"cancel_url\": \"<string>\",\n \"metadata\": {\n \"order_id\": \"ord_xyz\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c1e6a2a-2b3c-4d5e-8f9a-1a2b3c4d5e6f",
"business_id": "8e2f6b2a-df9c-4c2a-9a0a-9e6a2a2b6a11",
"mode": "test",
"customer_id": "9b1c2d3e-4f5a-6b7c-8d9e-0f1a2b3c4d5e",
"reference": "ps_4f2a9c1e",
"amount": 50000,
"amount_paid": null,
"currency": "NGN",
"deposit_address": null,
"crypto_asset": null,
"network": null,
"status": "pending",
"payment_page_id": null,
"invoice_id": null,
"transaction_id": null,
"provider_session_reference": "cc_ps_7f3a1b2c",
"metadata": {
"order_id": "ord_xyz"
},
"expires_at": "2026-09-24T13:00:00.000Z",
"completed_at": null,
"created_at": "2026-09-24T12:00:00.000Z",
"updated_at": "2026-09-24T12:00:00.000Z"
}{
"success": false,
"status": 400,
"message": "amount must be a positive number",
"timestamp": "2026-09-17T12:00:00.000Z"
}{
"success": false,
"status": 401,
"message": "Invalid or inactive API key.",
"timestamp": "2026-09-17T12:00:00.000Z"
}Body
application/json
Response
Payment session created successfully.

